# **************************************************************************** #
#                                                                              #
#                                                         :::      ::::::::    #
#    Makefile                                           :+:      :+:    :+:    #
#                                                     +:+ +:+         +:+      #
#    By: sada-sil <sada-sil@student.42.fr>          +#+  +:+       +#+         #
#                                                 +#+#+#+#+#+   +#+            #
#    Created: 2023/11/16 15:08:41 by sada-sil          #+#    #+#              #
#    Updated: 2023/11/29 15:12:06 by sada-sil         ###   ########.fr        #
#                                                                              #
# **************************************************************************** #

NAME = fixed

CC = c++
CFLAGS = -Wall -Wextra -Werror -std=c++98
RM = rm -rf

SRCS = 	srcs/main.cpp \
		srcs/Fixed.cpp

OBJS = $(SRCS:%.cpp=%.o)

${NAME}: $(OBJS)
	${CC} ${CFLAGS} ${OBJS} -o ${NAME}

all: ${NAME}

clean:
	${RM} $(OBJS)
	${RM} $(OBJ_DIR)

fclean: clean
	${RM} $(NAME)

re: fclean all